io.vertx.amqpbridge

## Class AmqpConstants

- java.lang.Object
- - io.vertx.amqpbridge.AmqpConstants

-     public class AmqpConstants
      extends Object

  Helpful constants for dealing with the various sections/elements forming the JsonObject representation of the AMQP message.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_PROPERTIES`
    `static String` | `BODY`
    `static String` | `BODY_TYPE`
    `static String` | `BODY_TYPE_DATA`
    `static String` | `BODY_TYPE_SEQUENCE`
    `static String` | `BODY_TYPE_VALUE`
    `static String` | `HEADER`
    `static String` | `HEADER_DELIVERY_COUNT`
    `static String` | `HEADER_DURABLE`
    `static String` | `HEADER_FIRST_ACQUIRER`
    `static String` | `HEADER_PRIORITY`
    `static String` | `HEADER_TTL`
    `static String` | `MESSAGE_ANNOTATIONS`
    `static String` | `PROPERTIES`
    `static String` | `PROPERTIES_ABSOLUTE_EXPIRY_TIME`
    `static String` | `PROPERTIES_CONTENT_ENCODING`
    `static String` | `PROPERTIES_CONTENT_TYPE`
    `static String` | `PROPERTIES_CORRELATION_ID`
    `static String` | `PROPERTIES_CREATION_TIME`
    `static String` | `PROPERTIES_GROUP_ID`
    `static String` | `PROPERTIES_GROUP_SEQUENCE`
    `static String` | `PROPERTIES_MESSAGE_ID`
    `static String` | `PROPERTIES_REPLY_TO`
    `static String` | `PROPERTIES_REPLY_TO_GROUP_ID`
    `static String` | `PROPERTIES_SUBJECT`
    `static String` | `PROPERTIES_TO`
    `static String` | `PROPERTIES_USER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BODY_TYPE

          public static final String BODY_TYPE

      See Also:
        Constant Field Values

    - #### BODY_TYPE_VALUE

          public static final String BODY_TYPE_VALUE

      See Also:
        Constant Field Values

    - #### BODY_TYPE_DATA

          public static final String BODY_TYPE_DATA

      See Also:
        Constant Field Values

    - #### BODY_TYPE_SEQUENCE

          public static final String BODY_TYPE_SEQUENCE

      See Also:
        Constant Field Values

    - #### HEADER

          public static final String HEADER

      See Also:
        Constant Field Values

    - #### BODY

          public static final String BODY

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### APPLICATION_PROPERTIES

          public static final String APPLICATION_PROPERTIES

      See Also:
        Constant Field Values

    - #### MESSAGE_ANNOTATIONS

          public static final String MESSAGE_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### HEADER_DURABLE

          public static final String HEADER_DURABLE

      See Also:
        Constant Field Values

    - #### HEADER_PRIORITY

          public static final String HEADER_PRIORITY

      See Also:
        Constant Field Values

    - #### HEADER_TTL

          public static final String HEADER_TTL

      See Also:
        Constant Field Values

    - #### HEADER_FIRST_ACQUIRER

          public static final String HEADER_FIRST_ACQUIRER

      See Also:
        Constant Field Values

    - #### HEADER_DELIVERY_COUNT

          public static final String HEADER_DELIVERY_COUNT

      See Also:
        Constant Field Values

    - #### PROPERTIES_TO

          public static final String PROPERTIES_TO

      See Also:
        Constant Field Values

    - #### PROPERTIES_REPLY_TO

          public static final String PROPERTIES_REPLY_TO

      See Also:
        Constant Field Values

    - #### PROPERTIES_MESSAGE_ID

          public static final String PROPERTIES_MESSAGE_ID

      See Also:
        Constant Field Values

    - #### PROPERTIES_CORRELATION_ID

          public static final String PROPERTIES_CORRELATION_ID

      See Also:
        Constant Field Values

    - #### PROPERTIES_SUBJECT

          public static final String PROPERTIES_SUBJECT

      See Also:
        Constant Field Values

    - #### PROPERTIES_GROUP_ID

          public static final String PROPERTIES_GROUP_ID

      See Also:
        Constant Field Values

    - #### PROPERTIES_GROUP_SEQUENCE

          public static final String PROPERTIES_GROUP_SEQUENCE

      See Also:
        Constant Field Values

    - #### PROPERTIES_REPLY_TO_GROUP_ID

          public static final String PROPERTIES_REPLY_TO_GROUP_ID

      See Also:
        Constant Field Values

    - #### PROPERTIES_CONTENT_TYPE

          public static final String PROPERTIES_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTIES_CONTENT_ENCODING

          public static final String PROPERTIES_CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### PROPERTIES_CREATION_TIME

          public static final String PROPERTIES_CREATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTIES_ABSOLUTE_EXPIRY_TIME

          public static final String PROPERTIES_ABSOLUTE_EXPIRY_TIME

      See Also:
        Constant Field Values

    - #### PROPERTIES_USER_ID

          public static final String PROPERTIES_USER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AmqpConstants

          public AmqpConstants()

Copyright © 2019 Eclipse. All rights reserved.